Summary: Various Utilities needed by Trustix Secure Linux
Name: tsl-utils
Version: 1.7
Release: 12tr
URL: http://www.trustix.org
Source0: tsl-utils-restart_maybe
Source1: tsl-fixboot.sh
Source3: tsl-findfat.sh
Source4: tsl-utils-restart_maybe.conf
Source5: installkernel
License: GPL
Group: Trustix Official
BuildRoot: /var/tmp/tsl-utils-%{version}
BuildRequires: coreutils
Requires: /sbin/chkconfig grep /sbin/runlevel /bin/awk
#PreReq: mkinitrd, coreutils, sysvinit, file, modutils
PreReq: coreutils, sysvinit, file, mkinitrd, grubby

%description
The Trustix Secure Linux utils is a set of utilities and scripts that are made
in the development process, and that really fit in no other package. 

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/sbin
install -d $RPM_BUILD_ROOT/etc
install -m755 %{SOURCE4} ${RPM_BUILD_ROOT}/etc/restart_maybe.conf
install -m755 %{SOURCE0} ${RPM_BUILD_ROOT}/sbin/restart_maybe
install -m755 %{SOURCE1} ${RPM_BUILD_ROOT}/sbin/tsl-fixboot.sh
install -m755 %{SOURCE3} ${RPM_BUILD_ROOT}/sbin/tsl-findfat.sh
install -m755 %{SOURCE5} ${RPM_BUILD_ROOT}/sbin/installkernel

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
# Nuke trash left after the installer
test -d /usr/viper && rm -rf /usr/viper || :

%files
%defattr(0755,root,root,0755)
%config(noreplace) /etc/restart_maybe.conf
/sbin/restart_maybe
/sbin/tsl-fixboot.sh
/sbin/tsl-findfat.sh
/sbin/installkernel

%changelog
* Mon Feb 26 2007 Nived Gopalan <nived at trustix dot org>
- Rebuilt

* Thu Sep  7 2006 Bipin S <bipin at trustix dot org> 1.7-11tr
- Changes made to tsl-fixboot to fix upgrades from tsl-3.0 to tsl-3.0.5.

* Sun Jul 23 2006 Ajith Thampi <ajith at trustix dot org> 1.7-10tr
- some changes for TSL-3.0.5
		
* Thu Nov 10 2005 Ajith Thampi <ajith at comodo dot com> 1.7-8tr
- tsl-fixboot.sh cleanup proposed by Morten Nilsen.
- added initrd creation to be optional through sysconfig/bootloader.
		
* Fri Aug 26 2005 Erlend Midttun <erlendbm at trustix dot org> 1.7-7tr
- Now also ship with /sbin/installkernel.  Bug #1228.

* Wed Aug 17 2005 Erlend Midttun <erlendbm at trustix dot org> 1.7-6tr
- Fix grep in restart_maybe.  Bug #1194.

* Tue Aug 16 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 1.7-5tr
- Fix %post script failure

* Thu Aug 11 2005 Erlend Midttun <erlendbm at trustix dot org> 1.7-4tr
- Nuke trash left after the installer.

* Mon Aug  8 2005 Erlend Midttun <erlendbm at trustix dot org> 1.7-3tr
- Moved mtaselector to mta package.

* Fri Aug  5 2005 Erlend Midttun <erlendbm at trustix dot org> 1.7-2tr
- And now with "done" instead of "fi"

* Fri Aug  5 2005 Erlend Midttun <erlendbm at trustix dot org> 1.7-1tr
- Now also with mtaselector.

* Wed Jul 27 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 1.6-12tr
- Removed --make-default from tsl-fixboot.sh and use AUTOACTIVATE to handle 
  this. Bug #1133.

* Wed May 18 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 1.6-10tr
- Rewrote tsl-fixboot.sh to use grubby to update lilo and grub conf files.

* Wed May  4 2005 Chr. Toldnes <christht at trustix dot org> 1.6-9tr
- Added PreReq: tsl-initrd that provides mkinitrd, and yes we need it
  because the kernel packages uses us to create the initrd (tsl-fixboot.sh)
  and thus mkinitrd must be available before this package.

* Fri Apr 22 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 1.6-8tr
- Removed PreReq: modutils, Fix Bug ID #445

* Fri Apr  8 2005 Chr. Toldnes <christht at trustix dot org> 1.6-7tr
- Better mkinitrd error handling

* Thu Mar 10 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 1.6-6tr
- Addeded AUTOACTIVATE=yes in tsl-fixboot.sh

* Wed Mar 09 2005 Ajith Thampi <ajith at comodo dot com> 1.6-4tr
- Re-customised tsl-fixboot.sh for initrd-tools

* Tue Mar 01 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 1.6-3tr
- Changed tsl-fixboot.sh to create initrd with EVMS support

* Thu Jan  6 2005 Erlend Midttun <erlendbm at trustix dot org> 1.6-2tr
- Now handle more release tags.  Take II.

* Mon Nov 22 2004 Erlend Midttun <erlendbm at trustix dot org> 1.6-1tr
- Now handle more release tags.

* Tue Sep 21 2004 Erlend Midttun <erlendbm at trustix dot org> 1.4-1tr
- Now use config file for restart_maybe

* Fri Apr 23 2004 Oystein Viggen <oysteivi at trustix dot com> 1.3-24tr
- Don't need mkinitrd, BECAUSE I SAY SO!!

* Wed Nov 19 2003 Erlend Midttun <erlendbm at trustix dot org> 1.3-24tr
- New tag.

* Tue Oct  7 2003 Chr. Toldnes <christht at tawie dot org> 1.3-23tsl
- rewrite of restart_maybe to use awk not cut

* Thu Jun 19 2003 Chr. H. Toldnes <christht at trustix dot com> 1.3-22tr
- Added tsl-findfat.sh

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 1.3-21tr
- Big rebuild

* Mon Jun 16 2003 Chr. H. Toldnes <christht at trustix dot com> 1.3-20ct
- No depmod stuff.

* Fri Jun 13 2003 Chr. H. Toldnes <christht at trustix dot com> 1.3-19ct
- Creation of symlinks when not found in tsl-fixboot.sh

* Thu Jun  5 2003 Erlend Midttun <erlendbm at trustix dot com> 1.3-18em
- Make restart_maybe quiet when it does nothing.

* Tue Jun  3 2003 Chr. H. Toldnes <christht at trustix dot com> 1.3-17ct
- Run depmod -a in tsl-fixboot.sh

* Mon May 26 2003 Erlend Midttun <erlendbm at trustix dot com> 1.3-16em
- fileutils -> coreutils.

* Tue May 20 2003 Chr. H. Toldnes <christht at trustix dot com> 1.3-15ct
- Bugfixing in tsl-fixboot.sh

* Tue May 20 2003 Chr. H. Toldnes <christht at trustix dot com> 1.3-14ct
- Don't use absolute path in symbolic links.

* Tue May 20 2003 Chr. H. Toldnes <christht at trustix dot com> 1.3-13ct
- Use MAILTO variable in tsl-fixboot.sh

* Fri May 16 2003 Erlend Midttun <erlendbm at trustix dot com> 1.3-12em
- Added create-freeswan-kernelpatch.sh

* Fri May  2 2003 Chr. H. Toldnes <christht at trustix dot com> 1.3-11ct
- Bugfixing in tsl-fixboot.sh

* Fri May  2 2003 Chr. H. Toldnes <christht at trustix dot com> 1.3-10ct
- Added PreReq: file

* Thu Apr 24 2003 Christian H. Toldnes <christht at trustix dot com> 1.3-9ct
- Bugfixing in tsl-fixboot.sh

* Wed Apr 23 2003 Christian H. Toldnes <christht at trustix dot com> 1.3-8ct
- Bugfixing in tsl-fixboot.sh

* Wed Apr 23 2003 Christian H. Toldnes <christht at trustix dot com> 1.3-7ct
- Added PreReqs since tsl-fixboot.sh is run in %post of kernels
- Bugfixing in tsl-fixboot.sh

* Tue Apr 22 2003 Christian H. Toldnes <christht at trustix dot com> 1.3-6ct
- Enhanced the fix-boot.sh script, maybe time to implement this setup
  soon. :)

* Thu Apr 10 2003 Christian H. Toldnes <christht at trustix dot com> 1.3-5ct
- Now look in /etc/sysconfig/bootloader for BOOTLOADER

* Thu Apr 10 2003 Christian H. Toldnes <christht at trustix dot com> 1.3-4ct
- Added tsl-fixboot.sh

* Thu Feb 27 2003 Christian H. Toldnes <christht at trustix dot com> 1.3-3ct
- Added better removal of $RPM_BUILD_ROOT

* Wed Nov 06 2002 Nico Erfurth <masta at trustix dot org> 1.3-2ne
- Uses cut with full path (/usr/bin/cut)

* Wed Jul 17 2002 Christian H. Toldnes <christht at trustix dot com> 1.3-1ct
- Now checks /etc/init.d not /etc/rc.d/init.d

* Wed Jul 17 2002 Christian H. Toldnes <christht at trustix dot com> 1.2-5ct
- Rebuild for TSL 2.0

* Tue Jul 17 2001 Erlend Midttun <erlendbm at trustix dot com>
- Inc serial number before release.

* Mon Nov 20 2000 Oystein Viggen <oysteivi at trustix dot com>
- Make this package mainly to have somewhere to put restart_maybe.
